:root {
  --header-color: #2e2f42;
  --main-text-color: #434455;
  --main-background-color: #ffffff;
  --secondary-background-color: #f4f4fd;
  --hover-focus-color: #4d5ae5;
  --third-background-color: #e5e5e5;
  --modal-link-text: #757575;
}

html {
  box-sizing: border-box;
}
*,
*::after,
*::before {
  box-sizing: inherit;
}

body {
  background-color: var(--main-background-color);
  color: var(--main-text-color);
  font-family: Roboto, sans-serif;
  font-size: 16px;
  line-height: 1.5;
}
ul {
  list-style: none;
  padding-left: 0px;
  margin: 0;
}

h1,
h2,
h3,
h4,
h5,
h6,
p {
  margin: 0;
}

a {
  text-decoration: none;
  color: inherit;
}

img {
  display: block;
  max-width: 100%;
  height: auto;
}
address {
  font-style: normal;
}

.backdrop {
  position: fixed;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  background-color: rgba(46, 47, 66, 0.4);
  opacity: 1;
  transition: opacity 250ms cubic-bezier(0.4, 0, 0.2, 1),
    visibility 250ms cubic-bezier(0.4, 0, 0.2, 1);
}
.backdrop.is-hidden {
  opacity: 0;
  pointer-events: none;
  visibility: hidden;
}

.modal {
  position: absolute;
  width: 408px;
  height: 584px;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  background: #fcfcfc;
  box-shadow: 0px 1px 1px rgba(0, 0, 0, 0.14), 0px 1px 3px rgba(0, 0, 0, 0.12),
    0px 2px 1px rgba(0, 0, 0, 0.2);
  border-radius: 4px;
  padding-top: 72px;
  padding-left: 24px;
  padding-right: 24px;
  padding-bottom: 24px;
}

@media screen and (max-width: 480px) {
  .modal {
    width: 95%;
    min-height: 586px;
  }
}
@media screen and (min-width: 768px) and (max-width: 1199px) {
  .modal {
    width: 408px;
    height: 586px;
  }
}

.backdrop.is-hidden .modal {
  transform: translate(-50%, -50%);
  transition: transform 250ms cubic-bezier(0.4, 0, 0.2, 1);
}
.close-icon {
  width: 8px;
  height: 8px;
  fill: black;
}

.modal-botton {
  position: absolute;
  top: 24px;
  right: 24px;
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 50%;
  background: #e7e9fc;
  border: 1px solid rgba(0, 0, 0, 0.1);
  width: 24px;
  height: 24px;
  cursor: pointer;
}

.modal-botton:focus {
  background-color: #404bbf;
  transition: background-color 250ms cubic-bezier(0.4, 0, 0.2, 1);
}
.modal-botton:focus > .close-icon {
  fill: var(--main-background-color);
  transition: fill 250ms cubic-bezier(0.4, 0, 0.2, 1);
}

.container {
  max-width: 428px;
  margin-left: auto;
  margin-right: auto;
  padding-left: 15px;
  padding-right: 15px;
}

@media screen and (min-width: 768px) {
  .container {
    max-width: 768px;
  }
}

@media screen and (min-width: 1200px) {
  .container {
    max-width: 1158px;
  }
}

.button-menu {
  display: flex;
  padding: 0;
  border: transparent;
  background-color: #fff;
  margin-left: auto;
  width: 32px;
  height: 22px;
}

@media screen and (min-width: 768px) {
  .button-menu {
    display: none;
  }
}

@media screen and (max-width: 767px) {
  .box {
    padding-top: 48px;
    padding-bottom: 48px;
  }
}

@media screen and (min-width: 768px) {
  .box {
    padding-top: 64px;
    padding-bottom: 96px;
  }
}

@media screen and (min-width: 1200px) {
  .box {
    padding-top: 96px;
    padding-bottom: 120px;
  }
}

.icon-button {
  stroke: #2e2f42;
  width: 32px;
  height: 22px;
}
.icon-cross {
}
.icon-menu {
}

.section {
  padding-bottom: 96px;
  padding-top: 96px;
}

@media screen and (min-width: 1200px) {
  .section {
    padding-bottom: 120px;
    padding-top: 120px;
  }
}

.header-content {
  display: flex;
  align-items: center;
}

@media screen and (min-width: 768px) and (max-width: 1199px) {
  .header-content {
    gap: 123px;
  }
}

@media screen and (min-width: 1200px) {
  .header-content {
    justify-content: space-between;
    padding-left: 16px;
    padding-right: 16px;
  }
}

.visually-hidden {
  position: absolute;
  width: 1px;
  height: 1px;
  margin: -1px;
  border: 0;
  padding: 0;

  white-space: nowrap;
  clip-path: inset(100%);
  clip: rect(0 0 0 0);
  overflow: hidden;
}

.header {
  border-bottom: 1px solid #e7e9fc;
  box-shadow: 0px 2px 1px rgba(46, 47, 66, 0.08),
    0px 1px 1px rgba(46, 47, 66, 0.16), 0px 1px 6px rgba(46, 47, 66, 0.08);
}

@media screen and (max-width: 767px) {
  .header {
    padding-bottom: 24px;
    padding-top: 24px;
    position: relative;
  }
}

.header a {
  text-decoration: none;
}

.logo-link {
  display: block;
  color: var(--header-color);

  font-family: "Raleway";
  font-weight: 800;
  font-size: 18px;
  line-height: 1.33;
  letter-spacing: 0.03em;
  text-transform: uppercase;
}

.logo-color {
  color: var(--hover-focus-color);

  font-family: "Raleway";
  font-weight: 800;
  font-size: 18px;
  line-height: 1.33;
  letter-spacing: 0.03em;
  text-transform: uppercase;
}

.button-close {
  position: absolute;
  top: 40px;
  right: 40px;
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 50%;
  background: #e7e9fc;
  border: 1px solid rgba(0, 0, 0, 0.1);
  width: 24px;
  height: 24px;
  cursor: pointer;
}

@media screen and (max-width: 767px) {
  .nav-list {
    margin-bottom: auto;
  }
}

@media screen and (min-width: 768px) {
  .nav-list {
    display: flex;
    gap: 40px;
    margin-right: auto;
  }
}

@media screen and (max-width: 767px) {
  .nav-item:not(:last-child) {
    margin-bottom: 40px;
  }
}

.menu-container .button-close {
  display: none;
}
.menu-container.is-open .button-close {
  display: flex;
}

.menu-container.is-open {
  transform: translateX(0);
}

@media screen and (max-width: 767px) {
  .menu-container {
    position: absolute;
    top: 0;
    left: 0;
    transform: translateX(-100%);
    position: absolute;
    display: block;
    top: 0;
    left: 0;
    width: 100%;
    height: 100vh;
    background-color: var(--main-background-color);
    z-index: 5;

    transition: transform 300ms cubic-bezier(0.4, 0, 0.2, 1);
  }
}
@media screen and (min-width: 768px) {
  .menu-container {
    display: flex;
  }
}
@media screen and (max-width: 767px) {
  .container-mobile-menu {
    padding-top: 80px;
    padding-left: 40px;
    padding-right: 40px;
    padding-bottom: 40px;
    display: flex;
    flex-direction: column;
    height: 100%;
  }
}
@media screen and (min-width: 428px) and (max-width: 767px) {
  .container-mobile-menu {
    position: relative;
    width: 428px;

    margin-left: auto;
    margin-right: auto;
    overflow-y: auto;
  }
}

@media screen and (min-width: 768px) {
  .container-mobile-menu {
    display: flex;
    align-items: center;
  }
}
@media screen and (min-width: 768px) and (max-width: 1200px) {
  .container-mobile-menu {
    gap: 118px;
  }
}

@media screen and (min-width: 1200px) {
  .container-mobile-menu {
    gap: 332px;
  }
}

.nav-link.link-current {
  position: relative;
  color: var(--hover-focus-color);
  padding-top: 24px;
  padding-bottom: 22px;
}

@media screen and (max-width: 767px) {
  .nav-link.link-current {
    padding-top: 15px;
    padding-bottom: 15px;
  }
}

@media screen and (min-width: 768px) {
  .nav-link.link-current::after {
    display: block;
    position: absolute;
    content: "";
    border-radius: 2px;
    background: #404bbf;

    bottom: -1px;

    width: 100%;
    height: 4px;
  }
}

@media screen and (min-width: 1200px) {
  .nav-link.link-current {
    padding-bottom: 28px;
  }
}

.nav-link {
  padding-top: 24px;
  padding-bottom: 28px;
  font-weight: 700;
  font-size: 36px;
  line-height: 1.11;

  letter-spacing: 0.02em;
  text-transform: capitalize;

  color: var(--header-color);

  transition: color 250ms cubic-bezier(0.4, 0, 0.2, 1);
}
@media screen and (min-width: 768px) {
  .nav-link {
    font-weight: 500;
    font-size: 16px;
    line-height: 1.5;
    letter-spacing: 0.02em;
  }
}

@media screen and (max-width: 767px) {
  .nav-link {
    padding-top: 15px;
    padding-bottom: 15px;
  }
}

@media screen and (min-width: 768px) and (max-width: 1199px) {
  .nav-link {
    padding-bottom: 22px;
    display: block;
  }
}
@media screen and (min-width: 1200px) {
  .nav-link {
    padding-top: 24px;
    padding-bottom: 28px;
    display: block;
  }
}

.nav-link:hover,
.nav-link:focus {
  color: var(--hover-focus-color);
}

.link-current {
  color: #404bbf;
}

@media screen and (max-width: 767px) {
  .contact-list {
    margin-bottom: 48px;
  }
}

@media screen and (min-width: 768px) and (max-width: 1199px) {
  .contact-list {
    display: flex;
    flex-direction: column-reverse;
    text-align: center;
  }
}

@media screen and (min-width: 1200px) {
  .contact-list {
    display: flex;
    align-items: center;
    gap: 40px;
    flex-direction: row-reverse;
  }
}

@media screen and (max-width: 767px) {
  .contact-item:not(:last-child) {
    margin-bottom: 40px;
  }
}

.contact-list a {
  font-style: normal;
  transition: color 250ms cubic-bezier(0.4, 0, 0.2, 1);
}

.contact-list a:hover,
.contact-list a:focus {
  color: var(--hover-focus-color);
}

.contact-link-mail {
  padding-top: 24px;
  padding-bottom: 24px;
  font-weight: 500;
  font-size: 20px;
  line-height: 1.2;
  letter-spacing: 0.02em;

  color: var(--main-text-color);
}

@media screen and (min-width: 768px) {
  .contact-link-mail {
    font-weight: 400;
    font-size: 12px;
    line-height: 1.33;
    letter-spacing: 0.04em;
  }
}
@media screen and (min-width: 768px) and (max-width: 1199px) {
  .contact-link-mail {
    padding-top: 0;
    padding-bottom: 0;
  }
}

.contact-link-tel {
  padding-top: 24px;
  padding-bottom: 24px;
  font-weight: 600;
  font-size: 36px;
  line-height: 1.11;
  text-transform: capitalize;
}

@media screen and (min-width: 768px) {
  .contact-link-tel {
    font-weight: 400;
    font-size: 12px;
    line-height: 1.33;
    letter-spacing: 0.04em;
  }
}

@media screen and (max-width: 767px) {
  .contact-link-tel {
    display: block;
    color: var(--hover-focus-color);
  }
}
@media screen and (max-width: 427px) {
  .contact-link-tel {
    font-size: 25px;
  }
}

@media screen and (min-width: 768px) and (max-width: 1199px) {
  .contact-link-tel {
    padding-top: 0;
    padding-bottom: 0;
  }
}

@media screen and (min-width: 1200px) {
  .contact-link-tel {
    font-weight: 400;
    font-size: 16px;
    line-height: 1.5;
    letter-spacing: 0.02em;
  }
}

.hero {
  background-color: var(--header-color);
  text-align: center;
  background-position: center;

  background-repeat: no-repeat;
  background-size: cover;
  background-image: linear-gradient(
      to bottom,
      rgba(46, 47, 66, 0.7),
      rgba(46, 47, 66, 0.7)
    ),
    url(./images/hero-desktop/hero-des-x1.jpg);
  margin-left: auto;
  margin-right: auto;

  height: 432px;
  padding-top: 112px;

  padding-bottom: 112px;
}

@media screen and (min-width: 768px) and (max-width: 1199px) {
  .hero {
    height: 436px;
    padding-bottom: 108px;
  }
}

@media screen and (min-width: 1200px) {
  .hero {
    height: 600px;
    padding-top: 188px;
    padding-bottom: 188px;
    max-width: 1440px;
  }
}

@media screen and (max-width: 767px) and (min-device-pixel-ratio: 1),
  screen and (max-width: 767px) and (-webkit-min-device-pixel-ratio: 1),
  screen and (max-width: 767px) and (min-resolution: 96dpi),
  screen and (max-width: 767px) and (min-resolution: 1dppx) {
  .hero {
    background-image: linear-gradient(
        to bottom,
        rgba(46, 47, 66, 0.7),
        rgba(46, 47, 66, 0.7)
      ),
      url(./images/hero-mobile/hero-mob-x1.jpg);
  }
}

@media screen and (max-width: 767px) and (min-device-pixel-ratio: 2),
  screen and (max-width: 767px) and (-webkit-min-device-pixel-ratio: 2),
  screen and (max-width: 767px) and (min-resolution: 192dpi),
  screen and (max-width: 767px) and (min-resolution: 2dppx) {
  .hero {
    background-image: linear-gradient(
        to bottom,
        rgba(46, 47, 66, 0.7),
        rgba(46, 47, 66, 0.7)
      ),
      url(./images/hero-mobile/hero-mob-x2.jpg);
  }
}

@media screen and (min-width: 768px) and (max-width: 1199px) and (min-device-pixel-ratio: 1),
  screen and (min-width: 768px) and (max-width: 1199px) and (-webkit-min-device-pixel-ratio: 1),
  screen and (min-width: 768px) and (max-width: 1199px) and (min-resolution: 96dpi),
  screen and (min-width: 768px) and (max-width: 1199px) and (min-resolution: 1dppx) {
  .hero {
    background-image: linear-gradient(
        to bottom,
        rgba(46, 47, 66, 0.7),
        rgba(46, 47, 66, 0.7)
      ),
      url(./images/hero-tablet/hero-tab-x1.jpg);
  }
}

@media screen and (max-width: 767px) and (min-device-pixel-ratio: 2),
  screen and (min-width: 768px) and (max-width: 1199px) and (-webkit-min-device-pixel-ratio: 2),
  screen and (min-width: 768px) and (max-width: 1199px) and (min-resolution: 192dpi),
  screen and (min-width: 768px) and (max-width: 1199px) and (min-resolution: 2dppx) {
  .hero {
    background-image: linear-gradient(
        to bottom,
        rgba(46, 47, 66, 0.7),
        rgba(46, 47, 66, 0.7)
      ),
      url(./images/hero-tablet/hero-tab-x2.jpg);
  }
}

@media screen and (min-width: 1200px) and (min-device-pixel-ratio: 1),
  screen and (min-width: 1200px) and (-webkit-min-device-pixel-ratio: 1),
  screen and (min-width: 1200px) and (min-resolution: 96dpi),
  screen and (min-width: 1200px) and (min-resolution: 1dppx) {
  .hero {
    background-image: linear-gradient(
        to bottom,
        rgba(46, 47, 66, 0.7),
        rgba(46, 47, 66, 0.7)
      ),
      url(./images/hero-desktop/hero-des-x1.jpg);
  }
}

@media screen and (min-width: 1200px) and (min-device-pixel-ratio: 2),
  screen and (min-width: 1200px) and (-webkit-min-device-pixel-ratio: 2),
  screen and (min-width: 1200px) and (min-resolution: 192dpi),
  screen and (min-width: 1200px) and (min-resolution: 2dppx) {
  .hero {
    background-image: linear-gradient(
        to bottom,
        rgba(46, 47, 66, 0.7),
        rgba(46, 47, 66, 0.7)
      ),
      url(./images/hero-desktop/hero-des-x2.jpg);
  }
}

.hero-position {
}
.hero-title {
  color: var(--main-background-color);
  font-family: "Roboto";
  font-weight: 700;
  font-size: 36px;
  line-height: 1.11;
  text-align: center;

  text-transform: capitalize;

  margin-left: auto;
  margin-right: auto;
  margin-bottom: 72px;
}

@media screen and (max-width: 767px) {
  .hero-title {
    max-width: 318px;
  }
}

@media screen and (min-width: 768px) {
  .hero-title {
    width: 494px;
    height: 120px;

    font-weight: 700;
    font-size: 56px;
    line-height: 1.07;

    text-align: center;
    margin-bottom: 40px;
  }
}

@media screen and (min-width: 768px) {
  .hero-title {
    margin-bottom: 48px;
  }
}

@media screen and (min-width: 1200px) {
  .contact-link-mail {
    font-weight: 400;
    font-size: 16px;
    line-height: 1.5;
    letter-spacing: 0.02em;
  }
}

.hero-button {
  background-color: var(--hover-focus-color);
  color: var(--main-background-color);
  font-family: inherit;
  cursor: pointer;

  border-radius: 4px;

  padding: 16px 32px;
  border: 1px solid transparent;
  transform: scale(1);

  transition: background-color 250ms cubic-bezier(0.4, 0, 0.2, 1),
    box-shadow 250ms cubic-bezier(0.4, 0, 0.2, 1),
    transform 250ms cubic-bezier(0.4, 0, 0.2, 1);
}

.hero-button:hover,
.hero-button:focus,
.hero-button:active {
  background-color: #404bbf;
  box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.15);
  transform: scale(1.1);
}

.privilege {
  background-color: var(--main-background-color);
}

@media screen and (min-width: 1200px) {
  .privilege {
    padding-bottom: 0;
  }
}

@media screen and (min-width: 768px) {
  .privilege-list {
    display: flex;
  }
}

@media screen and (min-width: 768px) and (max-width: 1199px) {
  .privilege-list {
    row-gap: 72px;
    column-gap: 24px;
    flex-wrap: wrap;
  }
}

@media screen and (min-width: 1200px) {
  .privilege-list {
    gap: 24px;
  }
}
@media screen and (min-width: 1200px) {
  .privilege-item {
    flex-basis: calc((100% - 72px) / 4);
  }
}

.privilege-list {
}

@media screen and (min-width: 768px) {
  .privilege-item {
    display: flex;
    flex-wrap: wrap;
  }
}

@media screen and (min-width: 768px) and (max-width: 1199px) {
  .privilege-item {
    flex-basis: calc((100% - 24px) / 2);
  }
}

@media screen and (max-width: 767px) {
  .privilege-item:not(:last-child) {
    margin-bottom: 72px;
  }
}

.privilage-icon {
  display: flex;
  width: 264px;
  height: 112px;
  background-color: #f4f4fd;
  border-radius: 4px;
  justify-content: center;
  align-items: center;
}

@media screen and (max-width: 1199px) {
  .privilage-icon {
    display: none;
  }
}

.icon-pr {
}

.privilege-title {
  font-weight: 700;
  font-size: 36px;
  line-height: 1.11;
  text-align: center;
  letter-spacing: 0.02em;
  text-transform: capitalize;

  color: var(--header-color);

  margin-bottom: 8px;
}

@media screen and (min-width: 1199px) {
  .privilege-title {
    margin-top: 8px;
    font-weight: 500;
    font-size: 20px;
    line-height: 1.2;
    letter-spacing: 0.02em;
  }
}

.privilege-text {
  font-weight: 500;
  font-size: 16px;
  line-height: 1.5;
  letter-spacing: 0.02em;
}

@media screen and (min-width: 1199px) {
  .privilege-text {
    font-weight: 400;
  }
}

.work {
  background-color: var(--main-background-color);
}

@media screen and (max-width: 1199px) {
  .work {
    display: none;
  }
}

@media screen and (min-width: 1200px) {
  .work-list {
    display: flex;
    gap: 24px;
  }
}

.work-item + .work-item {
  /* margin-left: 24px;  */
}

.section-title {
  color: var(--header-color);
  font-family: "Roboto";

  font-weight: 700;
  font-size: 36px;
  line-height: 1.11;
  text-align: center;
  letter-spacing: 0.02em;
  text-transform: capitalize;
  margin-bottom: 72px;
}

.team {
  background-color: var(--secondary-background-color);
}

@media screen and (min-width: 768px) {
  .team-list {
    display: flex;
    flex-wrap: wrap;
  }
}
@media screen and (min-width: 768px) and (max-width: 1199px) {
  .team-list {
    column-gap: 24px;
    row-gap: 64px;
    justify-content: center;
  }
}

@media screen and (min-width: 1200px) {
  .team-list {
    gap: 24px;
    justify-content: center;
    flex-wrap: nowrap;
  }
}

.team-name {
  color: var(--header-color);
  font-weight: 500;
  font-size: 20px;
  line-height: 1.2;
  text-align: center;
  margin-bottom: 8px;
  letter-spacing: 0.02em;
}

.team-text {
  font-weight: 400;
  letter-spacing: 0.02em;
  margin-bottom: 8px;
}

.team-item {
  background-color: var(--main-background-color);
  text-align: center;
  box-shadow: 0px 1px 6px rgba(46, 47, 66, 0.08),
    0px 1px 1px rgba(46, 47, 66, 0.16), 0px 2px 1px rgba(46, 47, 66, 0.08);
  border-radius: 0px 0px 4px 4px;
  max-width: 264px;
}

@media screen and (max-width: 767px) {
  .team-item:not(:last-child) {
    margin-bottom: 72px;
  }
}
@media screen and (max-width: 767px) {
  .team-item {
    margin-left: auto;
    margin-right: auto;
  }
}

.card-content {
  padding-top: 32px;
  padding-bottom: 32px;
  padding-left: 16px;
  padding-right: 16px;
}

.icon-list {
  display: flex;
  gap: 24px;
  justify-content: center;
}
.icon-item {
  width: 40px;
  height: 40px;
}

.item-link {
  display: flex;
  width: 40px;
  height: 40px;
  justify-content: center;
  align-items: center;
  background-color: #4d5ae5;
  border-radius: 50%;
  transform: scale(1);
  transition: background-color 250ms cubic-bezier(0.4, 0, 0.2, 1),
    transform 250ms cubic-bezier(0.4, 0, 0.2, 1);
}

.item-link:hover,
.item-link:focus {
  background-color: #404bbf;
  transform: scale(1.2);
}

.customers {
}

.customers-list {
  display: flex;
  flex-wrap: wrap;
}

@media screen and (max-width: 767px) {
  .customers-list {
    column-gap: 16px;
    row-gap: 72px;
  }
}

@media screen and (max-width: 767px) {
  .customers-item {
    width: calc((100% - 16px) / 2);
  }
}

@media screen and (min-width: 768px) and (max-width: 1199px) {
  .customers-item {
    width: 168px;
    height: 88px;
  }
}

@media screen and (min-width: 768px) and (max-width: 1199px) {
  .customers-list {
    column-gap: 24px;
    row-gap: 72px;
    justify-content: center;
  }
}

@media screen and (min-width: 1200px) {
  .customers-list {
    gap: 24px;

    flex-wrap: nowrap;
  }
}
@media screen and (min-width: 1200px) {
  .customers-item {
    flex-basis: calc((100% - 120px) / 6);
  }
}

.customers-link {
  display: flex;
  height: 88px;
  border: 1px solid #8e8f99;
  border-radius: 4px;
  background-repeat: no-repeat;
  justify-content: center;
  align-items: center;
  fill: #8e8f99;
  cursor: pointer;
  transition: border 250ms cubic-bezier(0.4, 0, 0.2, 1),
    fill 250ms cubic-bezier(0.4, 0, 0.2, 1);
}

.customers-link:hover {
  border: 1px solid #404bbf;
  fill: #404bbf;
}

.footer {
  background-color: var(--header-color);
  padding-top: 100px;
  padding-bottom: 100px;
}

.footer a {
  text-decoration: none;
}

@media screen and (max-width: 1199px) {
  .footer {
    padding-top: 96px;
    padding-bottom: 96px;
  }
}

.logo-title {
  color: var(--secondary-background-color);
  font-family: "Raleway";
  font-weight: 800;
  font-size: 18px;
  line-height: 1.17;
  letter-spacing: 0.03em;
  text-transform: uppercase;

  justify-content: center;
}

@media screen and (max-width: 767px) {
  .logo-title {
    display: flex;
  }
}

@media screen and (max-width: 767px) {
  .footer-content {
    margin-bottom: 72px;
  }
}

.footer-text {
  color: #e7e9fc;
  margin-top: 16px;
}

@media screen and (max-width: 767px) {
  .footer-text {
    max-width: 268px;
    margin-left: auto;
    margin-right: auto;
  }
}

@media screen and (min-width: 768px) {
  .footer-text {
    max-width: 264px;
  }
}

@media screen and (min-width: 768px) and (max-width: 1199px) {
  .footer-block {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    column-gap: 24px;
    row-gap: 72px;
  }
}
@media screen and (min-width: 1200px) {
  .footer-block {
    display: flex;
    justify-content: space-between;
  }
}

@media screen and (min-width: 768px) and (max-width: 1199px) {
  .subscribe-container {
    margin-right: 46px;
  }
}

@media screen and (max-width: 767px) {
  .messenger {
    margin-bottom: 72px;
  }
}

.messanger-title {
  color: var(--main-background-color);
  font-weight: 500;
  font-size: 16px;
  line-height: 1.5;
  letter-spacing: 0.02em;

  margin-bottom: 16px;
}

@media screen and (max-width: 767px) {
  .messanger-title {
    text-align: center;
  }
}

.list-footer {
  display: flex;
  gap: 16px;
  justify-content: center;
}

.item-footer {
  width: 40px;
  height: 40px;
}

.link-footer {
  display: flex;
  width: 40px;
  height: 40px;
  justify-content: center;
  align-items: center;
  background-color: rgba(255, 255, 255, 0.1);
  border-radius: 50%;
  transform: scale(1);
  transition: background-color 250ms cubic-bezier(0.4, 0, 0.2, 1),
    transform 250ms cubic-bezier(0.4, 0, 0.2, 1);
}

.link-footer:hover,
.link-footer:focus {
  background-color: #31d0aa;
  transform: scale(1.2);
}

.link-footer-mobile {
  display: flex;
  width: 40px;
  height: 40px;
  justify-content: center;
  align-items: center;
  background-color: var(--hover-focus-color);
  border-radius: 50%;
  transition: background-color 250ms cubic-bezier(0.4, 0, 0.2, 1);
}
.link-footer-mobile:hover,
.link-footer-mobile:focus {
  background-color: #404bbf;
}

.list-footer-mobile {
  display: flex;
  gap: 56px;
  max-width: 328px;
}

@media screen and (min-width: 768px) {
  .list-footer-mobile {
    display: none;
  }
}

.item-footer-mobile {
}

@media screen and (min-width: 768px) {
  .subscribe {
    display: flex;
    align-items: baseline;
    gap: 24px;
  }
}

@media screen and (max-width: 427px) {
  .list-footer-mobile {
    gap: 30px;
  }
}

.subscribe {
}

.subscribe-container {
}

.user-email {
}

.mail {
  width: 264px;
  display: flex;
  margin-left: auto;
  margin-right: auto;
  height: 40px;
  background-color: transparent;
  border: 1px solid rgba(255, 255, 255, 0.3);
  border-radius: 4px;
  color: #ffffff;
  padding-left: 16px;

  font-size: 12px;
  line-height: 2;

  letter-spacing: 0.04em;
}

@media screen and (max-width: 767px) {
  .mail {
    width: 100%;
  }
}

.submit-btn {
  width: 165px;
  display: flex;

  flex-direction: row;
  justify-content: center;
  align-items: center;
  padding-top: 8px;
  padding-bottom: 8px;
  padding-right: 24px;
  padding-left: 24px;

  gap: 16px;
  border-radius: 4px;
  background: #4d5ae5;
  margin-bottom: 0px;
  border: transparent;
  cursor: pointer;
  transform: scale(1);
  transition: transform 250ms cubic-bezier(0.4, 0, 0.2, 1);
}

.submit-btn:hover,
.submit-btn:focus {
  transform: scale(1.1);
}

@media screen and (max-width: 767px) {
  .submit-btn {
    margin-left: auto;
    margin-right: auto;

    margin-top: 16px;
  }
}

.submit-btn::after {
  content: "";
  display: block;
  width: 24px;
  height: 24px;

  background-image: url(./images/icon-send.svg);
  background-size: contain;
  background-position: center;
  background-repeat: no-repeat;
}

.modal-title {
  font-weight: 500;
  font-size: 16px;
  line-height: 1.5;
  text-align: center;
  letter-spacing: 0.02em;
  color: var(--header-color);
  margin-bottom: 14px;
}

@media screen and (max-width: 427px) {
  .modal-title {
    font-size: 12px;
  }
}

.modal-form {
}
.data-container {
  display: flex;
  flex-direction: column;
  margin-bottom: 16px;
}
.data-title {
  font-size: 12px;
  line-height: 1.17;
  letter-spacing: 0.04em;
  color: #8e8f99;
  margin-bottom: 4px;
}
.data-name {
  line-height: 1.33;
}

.data-field {
  border: 1px solid rgba(33, 33, 33, 0.2);
  border-radius: 4px;
  height: 40px;
  padding-left: 38px;
  transition: border 250ms cubic-bezier(0.4, 0, 0.2, 1);
}

.data-field:focus {
  outline: 0;
  border-color: var(--hover-focus-color);
  transition: border-color 250ms cubic-bezier(0.4, 0, 0.2, 1);
}

.data-comment {
  resize: none;
  width: 100%;
  height: 120px;
  border: 1px solid rgba(33, 33, 33, 0.2);
  border-radius: 4px;

  padding-top: 8px;
  padding-left: 16px;
  font-size: 12px;
  line-height: 1.33;
  letter-spacing: 0.04em;
  transition: border-color 250ms cubic-bezier(0.4, 0, 0.2, 1);
}

.data-comment:focus {
  outline: 0;
  border-color: #4d5ae5;
}

.data-box {
  position: relative;
  display: flex;
  flex-direction: column;
}
.data-box:not(:last-child) {
  margin-bottom: 8px;
}

.icon-person {
  position: absolute;
  left: 16px;
  top: 29px;

  width: 18px;
  height: 18px;
  transition: fill 250ms cubic-bezier(0.4, 0, 0.2, 1);
}
.data-field:focus + .icon-person,
.data-field:focus + .icon-phone,
.data-field:focus + .icon-mail {
  fill: var(--hover-focus-color);
}

.icon-phone {
  position: absolute;
  left: 16px;
  top: 27px;
  width: 18px;
  height: 24px;
  transition: fill 250ms cubic-bezier(0.4, 0, 0.2, 1);
}

.icon-mail {
  position: absolute;
  left: 16px;
  top: 27px;
  width: 18px;
  height: 24px;
  transition: fill 250ms cubic-bezier(0.4, 0, 0.2, 1);
}

.privacy-policy {
  display: flex;
  align-items: center;
}

.checkbox {
  appearance: none;
}

.checkbox:checked + .custom-checkbox {
  background-color: #404bbf;
  transition: background-color 250ms cubic-bezier(0.4, 0, 0.2, 1);
}
.custom-checkbox {
  display: flex;
  width: 16px;
  height: 16px;
  border: 1.25px solid #2e2f42;
  border-radius: 2px;
  margin-right: 8px;
}

.policy-text {
  display: flex;
  position: relative;
  font-size: 12px;
  line-height: 1.33;
  letter-spacing: 0.04em;
  color: var(--modal-link-text);
}
@media screen and (max-width: 427px) {
  .policy-text {
    font-size: 8px;
    align-items: center;
  }
}

.data-link {
  font-size: 12px;
  line-height: 1.33;
  letter-spacing: 0.04em;
  text-decoration-line: underline;
  color: var(--hover-focus-color);
  margin-left: 4px;
}

@media screen and (max-width: 427px) {
  .data-link {
    font-size: 9px;
  }
}

.send-btn {
  background: var(--hover-focus-color);
  box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.15);

  color: #ffffff;
  font-weight: 500;
  border: transparent;
  letter-spacing: 0.04em;
  text-align: center;

  display: block;

  margin-left: auto;
  margin-right: auto;
  padding-top: 16px;
  padding-bottom: 16px;
  padding-left: 32px;
  padding-right: 32px;
  margin-top: 24px;
  width: 169px;
  height: 56px;
  border-radius: 4px;
  cursor: pointer;
}

/* Portfolio */
.portfolio {
}

.main-portfolio {
  background-color: var(--main-background-color);
}

.button-list {
  display: flex;
  flex-wrap: wrap;

  column-gap: 24px;
  row-gap: 16px;
}

@media screen and (max-width: 767px) {
  .button-list {
    max-width: 270px;
  }
}

@media screen and (min-width: 768px) {
  .button-list {
    justify-content: center;
  }
}

.button-portfolio {
  color: #404bbf;
  font-family: inherit;
  background-color: var(--secondary-background-color);
  font-weight: 500;
  font-size: 16px;
  line-height: 1.5;
  text-align: center;
  letter-spacing: 0.04em;
  cursor: pointer;
  border: 1px solid transparent;
  border-radius: 4px;
  padding-top: 8px;
  padding-bottom: 8px;
  padding-left: 16px;
  padding-right: 16px;
  transform: scale(1);

  transition: background-color 250ms cubic-bezier(0.4, 0, 0.2, 1),
    color 250ms cubic-bezier(0.4, 0, 0.2, 1),
    box-shadow 250ms cubic-bezier(0.4, 0, 0.2, 1),
    transform 250ms cubic-bezier(0.4, 0, 0.2, 1);
}
@media screen and (min-width: 768px) {
  .button-portfolio {
    padding-top: 12px;
    padding-bottom: 12px;
    padding-left: 24px;
    padding-right: 24px;
  }
}

.button-portfolio:hover,
.button-portfolio:focus {
  background-color: var(--hover-focus-color);
  color: var(--main-background-color);
  box-shadow: 0px 3px 1px rgba(0, 0, 0, 0.1), 0px 2px 1px rgba(0, 0, 0, 0.08),
    0px 2px 2px rgba(0, 0, 0, 0.12);
  transform: scale(1.1);
}

.project-list {
  margin-top: 48px;

  display: flex;
  flex-wrap: wrap;
  row-gap: 48px;
}

@media screen and (min-width: 768px) and (max-width: 1199px) {
  .project-list {
    margin-top: 64px;
    column-gap: 24px;
    row-gap: 72px;
  }
}

@media screen and (min-width: 1199px) {
  .project-list {
    margin-top: 72px;
    column-gap: 24px;
  }
}

/* Примеры работ  */
.project a {
  text-decoration: none;
}

.pf-card {
  padding-bottom: 32px;
  padding-top: 32px;
  padding-left: 16px;
}

.project-item {
  background-color: var(--main-background-color);

  border: 1px solid #e7e9fc;
  width: 100%;

  transition: box-shadow 250ms cubic-bezier(0.4, 0, 0.2, 1),
    transform 250ms cubic-bezier(0.4, 0, 0.2, 1);
  transform: scale(1);
}

@media screen and (min-width: 768px) and (max-width: 1199px) {
  .project-item {
    flex-basis: calc((100% - 24px) / 2);
  }
}

@media screen and (min-width: 1200px) {
  .project-item {
    flex-basis: calc((100% - 48px) / 3);
  }
}

.project-item:hover {
  box-shadow: 0px 1px 6px rgba(46, 47, 66, 0.08);
  transform: scale(1.05);
}

.overlay {
  position: relative;
  overflow: hidden;
}

.overlay-container {
  position: absolute;
  top: 0;

  font-size: 16px;
  line-height: 1.5;
  letter-spacing: 0.02em;
  color: var(--secondary-background-color);

  padding-top: 40px;
  padding-left: 32px;
  padding-right: 32px;
  padding-bottom: 164px;

  height: 100%;
  width: 100%;
  background-color: var(--hover-focus-color);
  transform: translateY(+100%);
  transition: transform 250ms cubic-bezier(0.4, 0, 0.2, 1);
}

.project-link:hover .overlay-container {
  transform: translateY(0);
}

.project-title {
  color: var(--header-color);
  font-weight: 500;
  font-size: 20px;
  line-height: 1.2;
  margin-bottom: 8px;
}
.project-text {
  color: var(--main-text-color);
}
